import java.util.*;
/**
 * Lab #3
 * CS 2334, Section 0??
 * February 09, 2012
 * <P>
 * This class implements a program that tests the Person class code.
 * </P>
 * @author Leave Blank
 * @version 1.0
 */
public class Lab3Driver {

	/**
	 * This is the main method for this driver program. Since this is a
	 * simple program, all of our code will be in the main method.
	 * Typically this would be a bad design, but we are just testing out
	 * some features of Java.
	 * <P>
	 * Algorithm<br>
	 * Test out the Person class and an ArrayList of them to help your
	 * understanding of creating, sorting, and searching lists.
	 * </P>
	 * @param             args       Contains the command line arguments.
	 */

	public static void main(String[] args) {
		List people = new ArrayList();

		/* 
		 * Instantiate eight objects of type Person and add them
		 * to the list people. 
		 * I have created and added the first person for you. :)
		 */        
		Person person1 = new Person("Abby Normal", false, new GregorianCalendar(1902, 02, 21));

		/* The list is referenced to by the variable people.  You can add to
		 * the list by invoking the add method in ArrayList.
		 */
		people.add(person1);

		/*
		 * Print out the unsorted list of people.
		 * This uses an iterator to "iterate" through the list.
		 */
		System.out.println( "\n\nUnsorted List:" );

		Iterator iterator = people.iterator();

		while(iterator.hasNext())
		{
			// Note: This line of code will call toString of the Person class.
			System.out.println(iterator.next());
		}


		/*
		 * Sort the list of people using Collections.sort().
		 * Take a look at Collections.sort() in the API at
		 * http://download.oracle.com/javase/6/docs/api/java/util/Collections.html#sort%28java.util.List%29
		 * You need to call Collections.sort() and pass it the list of record holders.
		 * SEE THE LAB HANDOUT FOR MORE INFORMATION.
		 */

		// ADD CODE TO SORT HERE
		

		/*
		 * Print out the sorted list of people.
		 */
		System.out.println("Sorted List:");
		/* HINT: Use an iterator the same way I used one above when
		 * the unsorted list of people was printed.
		 */

		// ADD CODE TO PRINT THE LIST HERE
		

		/* 
		 * Search for a particular person in the list.
		 */
		System.out.println( "\n\nSearching" );
		Person key = new Person( "L. Austin Thyme", true, new GregorianCalendar(2012, 01, 01));
		System.out.println( "Key is " + key );

		/*
		 * Call Collections.binarySearch() to find the index of key.  
		 * Make sure you test the value of index to see if it negative, 
		 * which indicates that the key was not found in the list.
		 */
		
		int index = Collections.binarySearch(people, key);

		/* 
		 * Print out whether the person was found or not and the index
		 * at which it was found.
		 * HINT: If index is negative print a statement saying that the
		 *       item searched for is not in the list.  Otherwise, print
		 *       out a statement telling that item was found in the list
		 *       and give the index of item in the list as well.
		 */

		// ADD CODE HERE
		
		
	}
}